# Created by pyp2rpm-1.1.1
%global pypi_name astor

Name:           python-%{pypi_name}
Version:        0.4
Release:        1%{?dist}
Summary:        Read/rewrite/write Python ASTs

License:        BSD
URL:            https://github.com/berkerpeksag/astor
Source0:        https://pypi.python.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
A python library for manipulation of Python source via the AST.

PyPI: https://pypi.python.org/pypi/astor
Documentation: http://astor.rtfd.org/


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

# remove tests from install
rm -rf %{buildroot}%{python2_sitelib}/tests


%check
# maybe not actually run
%{__python2} setup.py test


%files
%doc README.rst LICENSE
%{python2_sitelib}/setuputils.py*
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Thu Oct 02 2014 Jens Petersen <petersen@redhat.com> - 0.4-1
- Initial package.
- cleanup description
- try to run tests but don't install them
